# Test Mobility with Link

## Topology

C--B--A--D

## Environment Set-up

1.  Configure network region names on A, B, C, and D:
    *  C: /arizona/cs
    *  B: /arizona/cs/telecom
    *  A: /ucsd/caida
    *  D: /ucla/cs/irl, /ucla/cs/software
2.  Start NFD on A, B, C, and D.
3.  On C, register a default route toward B.
4.  On B, register a route /ucla toward A.
5.  On A, register a route /ucla/cs toward D.
6.  On C, start ndn-traffic-server on /net/ndnsim/www, serving payload "CCCCCCCC".
7.  On B, start ndn-traffic-server on /net/ndnsim/www, serving payload "BBBBBBBB".
8.  On A, start ndn-traffic-server on /net/ndnsim/www, serving payload "AAAAAAAA".
9.  On D, start ndn-traffic-server on /net/ndnsim/www, serving payload "DDDDDDDD".

## Tests

1.  On C, execute a consumer to express an Interest for /net/ndnsim/www/index.html, with a Link object {Name=/net/ndnsim, Delegations={{10, /telia/terabits}, {20, /ucla/cs}}}. Expect Data with payload "DDDDDDDD".
2.  On C, execute a consumer to express an Interest for /net/ndnsim/www/news.html, with a Link object {Name=/net/ndnsim, Delegations={{10, /telia/terabits}, {20, /waseda/cs}}}. Expect Nack with reason NoRoute.
3.  On C, execute a consumer to express an Interest for /net/ndnsim/www/contact.html, with a Link object {Name=/net/ndnsim, Delegations={{10, /arizona/cs/telecom}}}. Expect Data with payload "BBBBBBBB".
4.  On C, execute a consumer to express an Interest for /net/ndnsim/www/about.html, with a Link object {Name=/net/ndnsim, Delegations={{10, /arizona/cs}}}. Expect Data with payload "CCCCCCCC".
5.  On C, execute a consumer to express an Interest for /net/ndnsim/www/info.html, with a Link object {Name=/net/ndnsim, Delegations={{10, /arizona}}}. Expect Data with payload "CCCCCCCC".
6.  On C, execute a consumer to express an Interest for /net/ndnsim/www/logo.jpg, with a Link object {Name=/net/ndnsim, Delegations{{10, /arizona/cs/telecom/east}}}. Expect Nack with reason NoRoute.
